package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 气瓶追溯对象 t_lpg_trace_back
 * 
 * @author zehong
 * @date 2026-03-20
 */
public class TLpgTraceBack extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 追溯id */
    private Long traceId;

    /** 追溯类型 */
    @Excel(name = "追溯类型")
    private String traceType;

    /** 工序关联主键 */
    @Excel(name = "工序关联主键")
    private Long relationId;

    /** 企业id */
    @Excel(name = "企业")
    private String enterpriseName;


    private String beyondEnterpriseId;

    /** 储备站 */
    @Excel(name = "储备站")
    private String stationName;

    /** 气瓶码 */
    @Excel(name = "气瓶码")
    private String bottleCode;

    /** 操作人 */
    @Excel(name = "操作人")
    private String people;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public void setTraceId(Long traceId)
    {
        this.traceId = traceId;
    }

    public Long getTraceId() 
    {
        return traceId;
    }
    public void setTraceType(String traceType) 
    {
        this.traceType = traceType;
    }

    public String getTraceType() 
    {
        return traceType;
    }
    public void setRelationId(Long relationId) 
    {
        this.relationId = relationId;
    }

    public Long getRelationId() 
    {
        return relationId;
    }
    public void setBeyondEnterpriseId(String beyondEnterpriseId) 
    {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public String getBeyondEnterpriseId() 
    {
        return beyondEnterpriseId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setBottleCode(String bottleCode) 
    {
        this.bottleCode = bottleCode;
    }

    public String getBottleCode() 
    {
        return bottleCode;
    }
    public void setPeople(String people) 
    {
        this.people = people;
    }

    public String getPeople() 
    {
        return people;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("traceId", getTraceId())
            .append("traceType", getTraceType())
            .append("relationId", getRelationId())
            .append("beyondEnterpriseId", getBeyondEnterpriseId())
            .append("stationName", getStationName())
            .append("bottleCode", getBottleCode())
            .append("people", getPeople())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .toString();
    }
}
